<?
include_once '../../../sys/inc/start.php';
include_once '../../../sys/inc/compress.php';
include_once '../../../sys/inc/sess.php';
include_once '../../../sys/inc/home.php';
include_once '../../../sys/inc/settings.php';
include_once '../../../sys/inc/db_connect.php';
include_once '../../../sys/inc/ipua.php';
include_once '../../../sys/inc/fnc.php';
include_once '../../../sys/inc/adm_check.php';
include_once '../../../sys/inc/user.php';

if (isset($_GET['id']))$ank['id'] = $_GET['id'];
else $ank['id'] = $user['id'];
$ank = get_user($ank['id']);
if (!$ank){header("Location: index.php?".SID);exit;}

$s1 = mysql_result(mysql_query("SELECT COUNT(`num`) FROM `zagon` WHERE `id_user` = '$ank[id]' AND `num` = '10'"),0);
$s2 = mysql_result(mysql_query("SELECT COUNT(`num`) FROM `zagon` WHERE `id_user` = '$ank[id]' AND `num` = '20'"),0);
$s3 = mysql_result(mysql_query("SELECT COUNT(`num`) FROM `zagon` WHERE `id_user` = '$ank[id]' AND `num` = '30'"),0);
$s4 = mysql_result(mysql_query("SELECT COUNT(`num`) FROM `zagon` WHERE `id_user` = '$ank[id]' AND `num` = '40'"),0);
$s5 = mysql_result(mysql_query("SELECT COUNT(`num`) FROM `zagon` WHERE `id_user` = '$ank[id]' AND `num` = '50'"),0);
$s6 = mysql_result(mysql_query("SELECT COUNT(`num`) FROM `zagon` WHERE `id_user` = '$ank[id]' AND `num` = '60'"),0);
$s7 = mysql_result(mysql_query("SELECT COUNT(`num`) FROM `zagon` WHERE `id_user` = '$ank[id]' AND `num` = '70'"),0);
$s8 = mysql_result(mysql_query("SELECT COUNT(`num`) FROM `zagon` WHERE `id_user` = '$ank[id]' AND `num` = '80'"),0);
$s9 = mysql_result(mysql_query("SELECT COUNT(`num`) FROM `zagon` WHERE `id_user` = '$ank[id]' AND `num` = '90'"),0);
$s10 = mysql_result(mysql_query("SELECT COUNT(`num`) FROM `zagon` WHERE `id_user` = '$ank[id]' AND `num` = '100'"),0);

$set['title'] = 'Скотный двор';
include_once '../../../sys/inc/thead.php';
title();
err();
aut();

?>
<style>
.sx
{
	max-width: 100px;
	text-align:center;
	display:inline-block;
	padding:2px;
}
</style>
<?



echo '<div class="foot">';
echo '<a href="/plugins/games/index.php">Онлайн игры</a> | <b>Скотный двор</b>';
echo '</div>';

echo '<div class="mess">';
echo 'Эта игра не требует никаких действий, просто передвигайтесь по страницам, и у вас в самом верху сайта, иногда будет выводится ссылка "Поймать добычу", не упускайте шанс, и скорее жмите, вам будут начислены дополнительные баллы, и +1 в коллекцию собранных животных. Также самые удачливые будут выводится в ТОП рейтинге..';
echo '</div>';
echo '<div class="main_menu">';
echo '<center>';

if (mysql_result(mysql_query("SELECT COUNT(`num`) FROM `zagon` WHERE `id_user` = '$ank[id]'"),0) == 0)
{
	echo '<div class="mess">';
	echo 'У вас пока нет пойманных животных';
	echo '</div>';	
}

if ($s1 > 0)
{
	echo '<div class="sx">';
	echo '<img src="img/10.png" /><br /><b>Куриц</b> (' . $s1 . ')<br />';
	echo '</div>';
}

if ($s2 > 0)
{
	echo '<div class="sx">';
	echo '<img src="img/20.png" /><br /><b>Коров</b> (' . $s2 . ')<br />';
	echo '</div>';
}

if ($s3 > 0)
{
	echo '<div class="sx">';
	echo '<img src="img/30.png" /><br /><b>Цыплят</b> (' . $s3 . ')<br />';
	echo '</div>';
}

if ($s4 > 0)
{
	echo '<div class="sx">';
	echo '<img src="img/40.png" /><br /><b>Лошадей</b> (' . $s4 . ')<br />';
	echo '</div>';
}

if ($s5 > 0)
{
	echo '<div class="sx">';
	echo '<img src="img/50.png" /><br /><b>Поросят</b> (' . $s5 . ')<br />';
	echo '</div>';
}

if ($s6 > 0)
{
	echo '<div class="sx">';
	echo '<img src="img/60.png" /><br /><b>Ящериц</b> (' . $s6 . ')<br />';
	echo '</div>';
}

if ($s7 > 0)
{
	echo '<div class="sx">';
	echo '<img src="img/70.png" /><br /><b>Рыбок</b> (' . $s7 . ')<br />';
	echo '</div>';
}

if ($s8 > 0)
{
	echo '<div class="sx">';
	echo '<img src="img/80.png" /><br /><b>Лисиц</b> (' . $s8 . ')<br />';
	echo '</div>';
}

if ($s9 > 0)
{
	echo '<div class="sx">';
	echo '<img src="img/90.png" /><br /><b>Черепах</b> (' . $s9 . ')<br />';
	echo '</div>';
}

if ($s10 > 0)
{
	echo '<div class="sx">';
	echo '<img src="img/100.png" /><br /><b>Улиток</b> (' . $s10 . ')<br />';
	echo '</div>';
}

echo '</center>';
echo '</div>';
echo '<div class="foot">';
echo '<img src="/style/icons/ferma.png" /> <a href="top.php">ТОП 10 участников</a>';
echo '</div>';

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `user` LEFT JOIN `zagon` ON `zagon`.`id_user` = `user`.`id` WHERE `zagon`.`id_user`"),0);

$q = mysql_query("SELECT * FROM `user` ORDER BY zagon_stat DESC LIMIT 3");

if ($k_post == 0)
{
	echo '<div class="mess">';
	echo 'Еще никто не учавствовал в игре';
	echo '</div>';
}

$star = 0;

while ($ank = mysql_fetch_assoc($q))
{
	
	$star++;
	
	
	// Лесенка дивов
	if ($num == 0)
	{
		echo '<div class="nav1">';
		$num = 1;
	}
	elseif ($num == 1)
	{
		echo '<div class="nav2">';
		$num = 0;
	}
	
	if ($star == 1)
	echo '<b style="color:blue">' . $star . ' место занимает</b> ';
	elseif ($star == 2)
	echo '<b style="color:green">' . $star . ' место занимает</b> ';
	elseif ($star == 3)
	echo '<b style="color:black">' . $star . ' место занимает</b> ';
	else
	echo $star . ' место занимает ';
	
	echo group($ank['id']);
	
	echo '<a href="/info.php?id=' . $ank['id'] . '">' . $ank['nick'] . '</a> ';
	
	echo medal($ank['id']) . online($ank['id']) . '<br />';
	
	echo 'Поймал' . ($ank['pol'] == 0 ? 'а' : null) . ' (' . mysql_result(mysql_query("SELECT COUNT(*) FROM `zagon` WHERE `id_user` = '$ank[id]'"),0) . ' животных)';
	
	echo '</div>';
}


echo '<div class="foot">';
echo '<a href="/plugins/games/index.php">Онлайн игры</a> | <b>Скотный двор</b>';
echo '</div>';

include_once '../../../sys/inc/tfoot.php';
?>